Skip to content
Browse files

* Updating to latest versions of plugins

  • Loading branch information...
1 parent 26bab8b commit 8d9e33271f7124a8820e3de6172cd648fd0fe630 Mike Ensor committed Mar 12, 2013
Showing with 14 additions and 11 deletions.
  1. +14 −11 pom.xml
View
25 pom.xml
@@ -1,5 +1,6 @@
<?xml version="1.0"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>com.clickconcepts.project</groupId>
<artifactId>master-site-pom</artifactId>
@@ -38,7 +39,6 @@
<connection>scm:git:ssh://${repository.domain}/${repository.user}/${repository.name}.git</connection>
<url>https://${repository.domain}/${repository.user}/${repository.name}</url>
<developerConnection>scm:git:ssh://${repository.domain}/${repository.user}/${repository.name}.git</developerConnection>
- <tag>HEAD</tag>
</scm>
<prerequisites>
@@ -143,7 +143,7 @@
<!-- ======================== -->
<plugin.ant.version>1.7</plugin.ant.version>
<plugin.assembly.version>2.4</plugin.assembly.version>
- <plugin.checkstyle.version>2.9.1</plugin.checkstyle.version>
+ <plugin.checkstyle.version>2.10</plugin.checkstyle.version>
<plugin.clean.version>2.5</plugin.clean.version>
<plugin.changelog.version>2.2</plugin.changelog.version>
<plugin.changes.version>2.8</plugin.changes.version>
@@ -154,22 +154,22 @@
<plugin.deploy.version>2.7</plugin.deploy.version>
<plugin.eclipse.version>2.9</plugin.eclipse.version>
<plugin.enforcer.version>1.2</plugin.enforcer.version>
- <plugin.failsafe.version>2.13</plugin.failsafe.version>
+ <plugin.failsafe.version>2.14</plugin.failsafe.version>
<plugin.findbugs.version>2.5.2</plugin.findbugs.version>
<plugin.gpg.version>1.4</plugin.gpg.version>
<plugin.install.version>2.4</plugin.install.version>
<plugin.jar.version>2.4</plugin.jar.version>
<plugin.javadoc.version>2.9</plugin.javadoc.version>
<plugin.jrebel.version>1.1.3</plugin.jrebel.version>
<plugin.jxr.version>2.3</plugin.jxr.version>
- <plugin.pmd.version>2.7.1</plugin.pmd.version>
+ <plugin.pmd.version>3.0</plugin.pmd.version>
<plugin.project-info-reports.version>2.6</plugin.project-info-reports.version>
<plugin.release.version>2.4</plugin.release.version>
<plugin.resources.version>2.6</plugin.resources.version>
<plugin.scm-publish.version>1.0-beta-2</plugin.scm-publish.version>
<plugin.site.version>3.2</plugin.site.version>
<plugin.source.version>2.2.1</plugin.source.version>
- <plugin.surefire.version>2.13</plugin.surefire.version>
+ <plugin.surefire.version>2.14</plugin.surefire.version>
<plugin.taglist.version>2.4</plugin.taglist.version>
<plugin.wagon-ssh.version>2.2</plugin.wagon-ssh.version>
<plugin.wagon-webdav.version>1.0</plugin.wagon-webdav.version>
@@ -185,7 +185,7 @@
<!-- @OVERRIDE as needed -->
<cobertura.base.package>com.clickconcepts</cobertura.base.package>
<!-- Needed for Code Narc only -->
- <groovy.version>2.0.6</groovy.version>
+ <groovy.version>2.0.7</groovy.version>
<!-- ========================== -->
<!-- CHANGE LOG PROPERTIES -->
@@ -199,8 +199,8 @@
<!-- NOTE: Choose the changelog File Uri for your project. By default, this will fail if not setup -->
<!-- example: <changelog.fileUri>${changelog.bitbucket.fileUri}</changelog.fileUri> -->
<!-- @OVERRIDE ENFORCER will fail if these are not defined -->
- <changelog.fileUri />
- <changelog.revision.fileUri />
+ <changelog.fileUri/>
+ <changelog.revision.fileUri/>
<!-- ============================= -->
<!-- PLUGIN STATUS PROPERTIES -->
@@ -245,6 +245,7 @@
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-antrun-plugin</artifactId>
<version>${plugin.ant.version}</version>
+ <inherited>true</inherited>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
@@ -874,7 +875,7 @@
<include>**/*Test.java</include>
<include>**/*Specification.java</include>
</includes>
- <systemProperties />
+ <systemProperties/>
</configuration>
</plugin>
<plugin>
@@ -937,6 +938,9 @@
</profile>
<profile>
<id>cobertura</id>
+ <properties>
+ <plugin.cobertura.version>2.5.1</plugin.cobertura.version>
+ </properties>
<build>
<pluginManagement>
<plugins>
@@ -951,7 +955,6 @@
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>cobertura-maven-plugin</artifactId>
- <version>${plugin.cobertura.version}</version>
<inherited>true</inherited>
<configuration>
<skip>${cobertura.skip}</skip>

0 comments on commit 8d9e332

Please sign in to comment.
Something went wrong with that request. Please try again.